%define ver_major 2.6
%define base gtk-engines

Name: %base-default
Version: %ver_major.3
Release: alt1
Serial: 1

Summary: Default GTK+2 theme engines
License: GPL/LGPL
Group: Graphical desktop/GNOME
Url: http://gtk.themes.org/

Source: ftp://ftp.gnome.org/pub/gnome/source/%base/%ver_major/%base-%version.tar.bz2

Obsoletes: %base
Provides: %base = %version-%release

%define gtk_ver 2.6.4
%define gtk_binary_ver 2.4.0
%define icon_theme_ver 2.10.0

Requires: %base-metal = %version-%release
Requires: %base-redmond95 = %version-%release
Requires: %base-hc = %version-%release
Requires: %base-crux = %version-%release
Requires: %base-mist = %version-%release
Requires: %base-lighthouseblue = %version-%release
Requires: %base-thinice = %version-%release
Requires: %base-industrial = %version-%release
Requires: %base-smooth = %version-%release
Requires: %base-clearlooks = %version-%release

BuildPreReq: libgtk+2-devel >= %gtk_ver

# Automatically added by buildreq on Tue Dec 28 2004
BuildRequires: gcc-c++ glib2-devel libatk-devel libgtk+2-devel libpango-devel libstdc++-devel pkgconfig

%description
These are the graphical engines for the various GTK+2 toolkit themes.
This package provides three sample theme engines:

Metal: A fairly complete theme engine that looks like the Java-Metal
look of Swing.
Redmond95: A simple theme engine that looks a bit like Microsoft Windows 95.

%package -n %base-metal
Summary: Default GTK+2 theme engine - Metal
Group: Graphical desktop/GNOME
Requires: libgtk+2 >= %gtk_ver

%description -n %base-metal
A fairly complete theme engine that looks like the Java-Metal look of
Swing.

%package -n %base-redmond
Summary: Default GTK+2 theme engine - Redmond95
Group: Graphical desktop/GNOME
Obsoletes: %base-redmond95
Provides: %base-redmond95 = %version-%release
Requires: libgtk+2 >= %gtk_ver

%description -n %base-redmond
A simple theme engine that looks a bit like another OS.

%package -n %base-hc
Summary: A GTK+2 high contrast theme engine
Group: Graphical desktop/GNOME
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %base-hc
Engine for high contrast themes, that improves visibility of shadows, edges,
and indicators when theme background and foreground contain near-black
and near-white colors.

%package -n %base-smooth
Summary: A GTK+2 theme engine - Smooth
Group: Graphical desktop/GNOME
Obsoletes: gtk-smooth-engine
Provides: gtk-smooth-engine = %version-%release
Obsoletes: gtk2-smooth-engine
Provides: gtk2-smooth-engine = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %base-smooth
This package contains a GTK2+ theme engine Smooth.

%package -n %base-crux
Summary: A GTK+2 theme engine - Crux
Group: Graphical desktop/GNOME
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %base-crux
This package contains a GTK2+ theme engine named Crux and developed by
Eazel, Inc.

%package -n %base-mist
Summary: A GTK+2 theme engine - Mist
Group: Graphical desktop/GNOME
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %base-mist
Author named this after the song he was listening to when he named it
(Opeth's "In Mist She Was Standing").
This package provides Mist GTK+2 theme engine.

%package -n %base-lighthouseblue
Summary: A GTK+2 theme engine - Lighthouse Blue
Group: Graphical desktop/GNOME
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %base-lighthouseblue
This package contains a GTK2+ theme engine Lighthouse Blue.

%package -n %base-clearlooks
Summary: A GTK+2 theme engine - ClearLooks
Group: Graphical desktop/GNOME
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %base-clearlooks
ClearLooks is new modern looking engine for GTK+2, based on Bluecurve.
It has the looks of various themes blended together, resulting in a
theme that's easy on the eyes and visually pleasing.

This package contains Clearlooks theme and engine.

%package -n %base-thinice
Summary: A GTK+2 theme engine - Thin Ice
Group: Graphical desktop/GNOME
Obsoletes: %base-thinice-devel
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %base-thinice
This package contains a GTK2+ theme engine Thin Ice.

%package -n %base-industrial
Summary: A GTK+2 theme engine - Industrial
Group: Graphical desktop/GNOME
Requires: gnome-icon-theme >= %icon_theme_ver
Obsoletes: gtk2-themes-industrial
Provides: gtk2-themes-industrial = %version-%release

%description -n %base-industrial
This package contains a GTK2+ engine Industrial developed by Ximian, Inc. as
the default apearance for its Desktop. Industrial is a highly popular
look which provides a simple, consistant, and highly cohesive appearance
for applications.

%package devel
Summary: Development files for %base
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver

%description devel
This package contains development files for %base

%prep
%setup -q -n %base-%version
%__subst 's,\(GTK\)2\(_VERSION\),\1\2,' engines/clearlooks/Makefile.am

%build
autoreconf -ifsv
%configure
%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/gtk-2.0/%gtk_binary_ver/engines/*.la

%files
%doc AUTHORS README ChangeLog

%files -n %base-metal
%_libdir/gtk-2.0/%gtk_binary_ver/engines/libmetal.so
%_datadir/themes/Metal/*
%doc engines/metal/AUTHORS

%files -n %base-redmond
%_libdir/gtk-2.0/%gtk_binary_ver/engines/libredmond95.so
%_datadir/themes/Redmond/*
%doc engines/redmond/AUTHORS

%files -n %base-hc
%_libdir/gtk-2.0/%gtk_binary_ver/engines/libhcengine.so

%files -n %base-crux
%_libdir/gtk-2.0/%gtk_binary_ver/engines/*crux*.so
%_datadir/themes/Crux

%files -n %base-clearlooks
%_libdir/gtk-2.0/%gtk_binary_ver/engines/*clearlooks.so
%_datadir/themes/Clearlooks

%files -n %base-mist
%_libdir/gtk-2.0/%gtk_binary_ver/engines/libmist.so
%_datadir/themes/Mist

%files -n %base-lighthouseblue
%_libdir/gtk-2.0/%gtk_binary_ver/engines/liblighthouseblue.so
%_datadir/themes/LighthouseBlue

%files -n %base-thinice
%_libdir/gtk-2.0/%gtk_binary_ver/engines/*thinice.so
%_datadir/themes/ThinIce

%files -n %base-industrial
%_libdir/gtk-2.0/%gtk_binary_ver/engines/libindustrial.so
%_datadir/themes/Industrial

%files -n %base-smooth
%_libdir/gtk-2.0/%gtk_binary_ver/engines/libsmooth.so

%files devel
%_libdir/pkgconfig/*

%changelog
* Wed Apr 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 1:2.6.3-alt1
- 2.6.3
- new subpackage with Clearlooks engine.

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 1:2.6.2-alt1
- 2.6.2

* Tue Feb 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 1:2.6.1-alt1
- 2.6.1

* Wed Dec 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:2.6.0-alt1
- 2.6.0

* Tue Dec 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt2.7
- do not build pixmap engine that provided by GTK+ since 2.5.6

* Wed Mar 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt2.6
- rebuild with gtk-2.4.

* Sat Jan 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt2.4
- 2.2.0
- devel subpackage.

* Wed Dec 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt2.4
- Rebuilt with gtk-2.1.5

* Fri Dec 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt2.3
- Rebuilt with gtk-2.1.3.

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt2.2
- Rebuilt with new gtk2.

* Thu Oct 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt2.1
- Rebuilt with new gtk2.

* Wed Oct 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt2
- Package renamed.

* Wed Oct 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt1
- First build for Sisyphus.
